JBoss API: Class EnterpriseContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class EnterpriseContext

    java.lang.Object
      |
      +--org.jboss.ejb.EnterpriseContext

Direct Known Subclasses:
  EntityEnterpriseContext, MessageDrivenEnterpriseContext, StatefulSessionEnterpriseContext, StatelessSessionEnterpriseContext

public abstract class EnterpriseContext
extends java.lang.Object

The EnterpriseContext is used to associate EJB instances with metadata about it.

Version:
  $Revision: 1.31.2.8 $ Revisions: 2001/06/29: marcf - Added txLock to permit locking and most of all notifying on tx demarcation only
Author:
  Rickard Öberg, Marc Fleury, Sebastien Alborini, Juha Lindfors, Ole Husgaard
See Also:
  `StatefulSessionEnterpriseContext`, `StatelessSessionEnterpriseContext`, `EntityEnterpriseContext`

Inner Class Summary
`protected class` | `EnterpriseContext.EJBContextImpl`
`protected class` | `EnterpriseContext.UserTransactionImpl`

Field Summary
`protected Logger` | `log` Instance logger.

Constructor Summary
`EnterpriseContext(java.lang.Object instance, Container con)`

Method Summary
`void` | `clear()` before reusing this context we clear it of previous state called by pool.free()
`abstract void` | `discard()`
`Container` | `getContainer()` Gets the container that manages the wrapped bean.
`abstract javax.ejb.EJBContext` | `getEJBContext()` Get the EJBContext object
`java.lang.Object` | `getId()`
`java.lang.Object` | `getInstance()`
`javax.transaction.Transaction` | `getTransaction()`
`java.lang.Object` | `getTxLock()`
`boolean` | `isLocked()`
`void` | `lock()`
`void` | `setId(java.lang.Object id)`
`void` | `setInstance(java.lang.Object instance)`
`void` | `setPrincipal(java.security.Principal principal)`
`void` | `setTransaction(javax.transaction.Transaction transaction)`
`void` | `unlock()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected Logger log

  Instance logger.

Constructor Detail

### EnterpriseContext

    public EnterpriseContext(java.lang.Object instance,
                             Container con)

Method Detail

### getInstance

    public java.lang.Object getInstance()

### setInstance

    public void setInstance(java.lang.Object instance)

### getContainer

    public Container getContainer()

  Gets the container that manages the wrapped bean.

### discard

    public abstract void discard()
                          throws java.rmi.RemoteException

### getEJBContext

    public abstract javax.ejb.EJBContext getEJBContext()

  Get the EJBContext object

### setId

    public void setId(java.lang.Object id)

### getId

    public java.lang.Object getId()

### getTxLock

    public java.lang.Object getTxLock()

### setTransaction

    public void setTransaction(javax.transaction.Transaction transaction)

### getTransaction

    public javax.transaction.Transaction getTransaction()

### setPrincipal

    public void setPrincipal(java.security.Principal principal)

### lock

    public void lock()

### unlock

    public void unlock()

### isLocked

    public boolean isLocked()

### clear

    public void clear()

  before reusing this context we clear it of previous state called by pool.free()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.